fft2D.cpp File Reference
`#include "fft2D.h"`
`#include <Matrix.h>`
`#include <math.h>`

## Functions

void | fft (double *x_int_re, double *x_int_im, int taille)
void | fft2d (double **xtre, double **xtim, int width, int height, bool shift)
void | fft2d_inv (double **xtre, double **xtim, double **xrec_re, double **xrec_im, int width, int height, bool undoShift)
void | fft_inv (double *x_int_re, double *x_int_im, int taille)
bool | isPower2 (int n)
int | next2Power (int n)

## Function Documentation

## fft()

void fft | ( | double * | x_int_re,
|  | double * | x_int_im,
|  | int | taille
| ) |  |

References M_PI.

Referenced by FFTDialog::accept(), fft2d(), and FFTDialog::fftMatrix().

## fft2d()

void fft2d | ( | double ** | xtre,
|  | double ** | xtim,
|  | int | width,
|  | int | height,
|  | bool | shift
| ) |  |

References Matrix::allocateMatrixData(), fft(), and Matrix::freeMatrixData().

Referenced by MatrixModel::fft(), and FFT::fftMatrix().

## fft2d_inv()

void fft2d_inv | ( | double ** | xtre,
|  | double ** | xtim,
|  | double ** | xrec_re,
|  | double ** | xrec_im,
|  | int | width,
|  | int | height,
|  | bool | undoShift
| ) |  |

References Matrix::allocateMatrixData(), fft_inv(), and Matrix::freeMatrixData().

Referenced by MatrixModel::fft(), and FFT::fftMatrix().

## fft_inv()

void fft_inv | ( | double * | x_int_re,
|  | double * | x_int_im,
|  | int | taille
| ) |  |

References M_PI.

Referenced by fft2d_inv().

## isPower2()

bool isPower2 | ( | int | n | ) |

Referenced by FFTDialog::activateDataSet(), FFT::fftMatrix(), and FFTDialog::setMatrix().

## next2Power()

int next2Power | ( | int | n | ) |

Referenced by FFT::fftMatrix().